PULSAR
API ReferenceWidget Dashboards

Create

Create a new widget dashboards.

Authorization

bearerAuth user, superuser, admin, superadmin, readonly
Authorization<token>

In: header

Scope: user, superuser, admin, superadmin, readonly

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

Try it live
POST
/widgets/dashboards

This endpoint requires authentication — use the Login page at the top of the API Reference, or paste a token in the Authorization section below.

curl -X POST "https://example.com/widgets/dashboards" \  -H "Content-Type: application/json" \  -d '{    "title": {      "en": "string",      "es": "string"    },    "description": {      "en": "string",      "es": "string"    },    "spec": {      "property1": null,      "property2": null    }  }'
{  "id": "string",  "title": {    "en": "string",    "es": "string"  },  "description": {    "en": "string",    "es": "string"  },  "spec": {    "property1": null,    "property2": null  },  "isSystem": true,  "isFavorited": true,  "instances": [    {      "id": "string",      "widgetId": "string",      "dashboardId": "string",      "specOverride": {        "property1": null,        "property2": null      },      "visualConfig": {        "property1": null,        "property2": null      },      "widget": {        "id": "string",        "title": {          "en": "string",          "es": "string"        },        "description": {          "en": "string",          "es": "string"        },        "spec": {          "property1": null,          "property2": null        },        "isSystem": true,        "isFavorited": true,        "featureRequirements": "string",        "labels": "string",        "createdAt": "string",        "updatedAt": "string",        "deletedAt": "string",        "thumbnailUrl": "string",        "compressedThumbnailUrl": "string"      },      "createdAt": "string",      "updatedAt": "string",      "deletedAt": "string"    }  ],  "createdAt": "string",  "updatedAt": "string",  "deletedAt": "string",  "archivedAt": "string",  "thumbnailUrl": "string",  "compressedThumbnailUrl": "string"}